﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
// 
#pragma warning disable 1591

namespace WebServices.ServiceCallServiceWeb {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.3056.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="ServiceCallsServiceSoap", Namespace="ServiceCallsService")]
    public partial class ServiceCallsService : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private MsgHeader msgHeaderValueField;
        
        private System.Threading.SendOrPostCallback AddOperationCompleted;
        
        private System.Threading.SendOrPostCallback UpdateOperationCompleted;
        
        private System.Threading.SendOrPostCallback RemoveOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetByParamsOperationCompleted;
        
        private System.Threading.SendOrPostCallback CloseOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public ServiceCallsService() {
            this.Url = global::WebServices.Properties.Settings.Default.WebServices_ServiceCallServiceWeb_ServiceCallsService;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public MsgHeader MsgHeaderValue {
            get {
                return this.msgHeaderValueField;
            }
            set {
                this.msgHeaderValueField = value;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event AddCompletedEventHandler AddCompleted;
        
        /// <remarks/>
        public event UpdateCompletedEventHandler UpdateCompleted;
        
        /// <remarks/>
        public event RemoveCompletedEventHandler RemoveCompleted;
        
        /// <remarks/>
        public event GetByParamsCompletedEventHandler GetByParamsCompleted;
        
        /// <remarks/>
        public event CloseCompletedEventHandler CloseCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ServiceCallsService/Add", RequestNamespace="ServiceCallsService", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("ServiceCallParams")]
        public ServiceCallParams Add([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ServiceCall ServiceCall) {
            object[] results = this.Invoke("Add", new object[] {
                        ServiceCall});
            return ((ServiceCallParams)(results[0]));
        }
        
        /// <remarks/>
        public void AddAsync(ServiceCall ServiceCall) {
            this.AddAsync(ServiceCall, null);
        }
        
        /// <remarks/>
        public void AddAsync(ServiceCall ServiceCall, object userState) {
            if ((this.AddOperationCompleted == null)) {
                this.AddOperationCompleted = new System.Threading.SendOrPostCallback(this.OnAddOperationCompleted);
            }
            this.InvokeAsync("Add", new object[] {
                        ServiceCall}, this.AddOperationCompleted, userState);
        }
        
        private void OnAddOperationCompleted(object arg) {
            if ((this.AddCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.AddCompleted(this, new AddCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ServiceCallsService/Update", RequestNamespace="ServiceCallsService", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Update([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ServiceCall ServiceCall) {
            this.Invoke("Update", new object[] {
                        ServiceCall});
        }
        
        /// <remarks/>
        public void UpdateAsync(ServiceCall ServiceCall) {
            this.UpdateAsync(ServiceCall, null);
        }
        
        /// <remarks/>
        public void UpdateAsync(ServiceCall ServiceCall, object userState) {
            if ((this.UpdateOperationCompleted == null)) {
                this.UpdateOperationCompleted = new System.Threading.SendOrPostCallback(this.OnUpdateOperationCompleted);
            }
            this.InvokeAsync("Update", new object[] {
                        ServiceCall}, this.UpdateOperationCompleted, userState);
        }
        
        private void OnUpdateOperationCompleted(object arg) {
            if ((this.UpdateCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.UpdateCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ServiceCallsService/Remove", RequestNamespace="ServiceCallsService", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Remove([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ServiceCallParams ServiceCallParams) {
            this.Invoke("Remove", new object[] {
                        ServiceCallParams});
        }
        
        /// <remarks/>
        public void RemoveAsync(ServiceCallParams ServiceCallParams) {
            this.RemoveAsync(ServiceCallParams, null);
        }
        
        /// <remarks/>
        public void RemoveAsync(ServiceCallParams ServiceCallParams, object userState) {
            if ((this.RemoveOperationCompleted == null)) {
                this.RemoveOperationCompleted = new System.Threading.SendOrPostCallback(this.OnRemoveOperationCompleted);
            }
            this.InvokeAsync("Remove", new object[] {
                        ServiceCallParams}, this.RemoveOperationCompleted, userState);
        }
        
        private void OnRemoveOperationCompleted(object arg) {
            if ((this.RemoveCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.RemoveCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ServiceCallsService/GetByParams", RequestNamespace="ServiceCallsService", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("ServiceCall")]
        public ServiceCall GetByParams([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ServiceCallParams ServiceCallParams) {
            object[] results = this.Invoke("GetByParams", new object[] {
                        ServiceCallParams});
            return ((ServiceCall)(results[0]));
        }
        
        /// <remarks/>
        public void GetByParamsAsync(ServiceCallParams ServiceCallParams) {
            this.GetByParamsAsync(ServiceCallParams, null);
        }
        
        /// <remarks/>
        public void GetByParamsAsync(ServiceCallParams ServiceCallParams, object userState) {
            if ((this.GetByParamsOperationCompleted == null)) {
                this.GetByParamsOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetByParamsOperationCompleted);
            }
            this.InvokeAsync("GetByParams", new object[] {
                        ServiceCallParams}, this.GetByParamsOperationCompleted, userState);
        }
        
        private void OnGetByParamsOperationCompleted(object arg) {
            if ((this.GetByParamsCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetByParamsCompleted(this, new GetByParamsCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ServiceCallsService/Close", RequestNamespace="ServiceCallsService", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Close([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ServiceCallParams ServiceCallParams) {
            this.Invoke("Close", new object[] {
                        ServiceCallParams});
        }
        
        /// <remarks/>
        public void CloseAsync(ServiceCallParams ServiceCallParams) {
            this.CloseAsync(ServiceCallParams, null);
        }
        
        /// <remarks/>
        public void CloseAsync(ServiceCallParams ServiceCallParams, object userState) {
            if ((this.CloseOperationCompleted == null)) {
                this.CloseOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCloseOperationCompleted);
            }
            this.InvokeAsync("Close", new object[] {
                        ServiceCallParams}, this.CloseOperationCompleted, userState);
        }
        
        private void OnCloseOperationCompleted(object arg) {
            if ((this.CloseCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CloseCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace="http://www.sap.com/SBO/DIS", IsNullable=false)]
    public partial class MsgHeader : System.Web.Services.Protocols.SoapHeader {
        
        private string sessionIDField;
        
        private MsgHeaderServiceName serviceNameField;
        
        private bool serviceNameFieldSpecified;
        
        /// <remarks/>
        public string SessionID {
            get {
                return this.sessionIDField;
            }
            set {
                this.sessionIDField = value;
            }
        }
        
        /// <remarks/>
        public MsgHeaderServiceName ServiceName {
            get {
                return this.serviceNameField;
            }
            set {
                this.serviceNameField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ServiceNameSpecified {
            get {
                return this.serviceNameFieldSpecified;
            }
            set {
                this.serviceNameFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum MsgHeaderServiceName {
        
        /// <remarks/>
        ServiceCallsService,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ServiceCall {
        
        private long serviceCallIDField;
        
        private bool serviceCallIDFieldSpecified;
        
        private string subjectField;
        
        private string customerCodeField;
        
        private string customerNameField;
        
        private long contactCodeField;
        
        private bool contactCodeFieldSpecified;
        
        private string manufacturerSerialNumField;
        
        private string internalSerialNumField;
        
        private long contractIDField;
        
        private bool contractIDFieldSpecified;
        
        private System.DateTime contractEndDateField;
        
        private bool contractEndDateFieldSpecified;
        
        private System.DateTime resolutionDateField;
        
        private bool resolutionDateFieldSpecified;
        
        private System.DateTime resolutionTimeField;
        
        private bool resolutionTimeFieldSpecified;
        
        private long originField;
        
        private bool originFieldSpecified;
        
        private string itemCodeField;
        
        private string itemDescriptionField;
        
        private long itemGroupCodeField;
        
        private bool itemGroupCodeFieldSpecified;
        
        private long statusField;
        
        private bool statusFieldSpecified;
        
        private ServiceCallPriority priorityField;
        
        private bool priorityFieldSpecified;
        
        private long callTypeField;
        
        private bool callTypeFieldSpecified;
        
        private long problemTypeField;
        
        private bool problemTypeFieldSpecified;
        
        private long assigneeCodeField;
        
        private bool assigneeCodeFieldSpecified;
        
        private string descriptionField;
        
        private long technicianCodeField;
        
        private bool technicianCodeFieldSpecified;
        
        private string resolutionField;
        
        private System.DateTime creationDateField;
        
        private bool creationDateFieldSpecified;
        
        private System.DateTime creationTimeField;
        
        private bool creationTimeFieldSpecified;
        
        private long responderField;
        
        private bool responderFieldSpecified;
        
        private System.DateTime updatedTimeField;
        
        private bool updatedTimeFieldSpecified;
        
        private ServiceCallBelongsToAQueue belongsToAQueueField;
        
        private bool belongsToAQueueFieldSpecified;
        
        private System.DateTime responseByTimeField;
        
        private bool responseByTimeFieldSpecified;
        
        private System.DateTime responseByDateField;
        
        private bool responseByDateFieldSpecified;
        
        private System.DateTime resolutionOnDateField;
        
        private bool resolutionOnDateFieldSpecified;
        
        private System.DateTime responseOnTimeField;
        
        private bool responseOnTimeFieldSpecified;
        
        private System.DateTime responseOnDateField;
        
        private bool responseOnDateFieldSpecified;
        
        private System.DateTime closingTimeField;
        
        private bool closingTimeFieldSpecified;
        
        private System.DateTime assignedDateField;
        
        private bool assignedDateFieldSpecified;
        
        private string queueField;
        
        private long responseAssigneeField;
        
        private bool responseAssigneeFieldSpecified;
        
        private ServiceCallEntitledforService entitledforServiceField;
        
        private bool entitledforServiceFieldSpecified;
        
        private System.DateTime resolutionOnTimeField;
        
        private bool resolutionOnTimeFieldSpecified;
        
        private System.DateTime assignedTimeField;
        
        private bool assignedTimeFieldSpecified;
        
        private System.DateTime closingDateField;
        
        private bool closingDateFieldSpecified;
        
        private long seriesField;
        
        private bool seriesFieldSpecified;
        
        private long docNumField;
        
        private bool docNumFieldSpecified;
        
        private ServiceCallHandWritten handWrittenField;
        
        private bool handWrittenFieldSpecified;
        
        private string periodIndicatorField;

        private System.DateTime startDateField;

        private bool startDateFieldSpecified;

        private System.DateTime startTimeField;

        private bool startTimeFieldSpecified;

        private System.DateTime endDueDateField;

        private bool endDueDateFieldSpecified;

        private System.DateTime endTimeField;

        private bool endTimeFieldSpecified;

        //private double durationField;

        //private bool durationFieldSpecified;

        //private ServiceCallDurationType durationTypeField;

        //private bool durationTypeFieldSpecified;

        //private ServiceCallReminder reminderField;

        //private bool reminderFieldSpecified;

        //private double reminderPeriodField;

        //private bool reminderPeriodFieldSpecified;

        //private ServiceCallReminderType reminderTypeField;

        //private bool reminderTypeFieldSpecified;

        //private long locationField;

        //private bool locationFieldSpecified;

        //private string addressNameField;

        //private ServiceCallAddressType addressTypeField;

        //private bool addressTypeFieldSpecified;

        //private string streetField;

        //private string cityField;

        //private string roomField;

        //private string stateField;

        //private string countryField;

        //private ServiceCallDisplayInCalendar displayInCalendarField;

        //private bool displayInCalendarFieldSpecified;

        private string customerRefNoField;

        private long problemSubTypeField;

        private bool problemSubTypeFieldSpecified;

        private long attachmentEntryField;

        private bool attachmentEntryFieldSpecified;
        
        private ServiceCallServiceCallActivity[] serviceCallActivitiesField;
        
        private ServiceCallServiceCallInventoryExpense[] serviceCallInventoryExpensesField;
        
        private ServiceCallServiceCallSolution[] serviceCallSolutionsField;
        
        /// <remarks/>
        public long ServiceCallID {
            get {
                return this.serviceCallIDField;
            }
            set {
                this.serviceCallIDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ServiceCallIDSpecified {
            get {
                return this.serviceCallIDFieldSpecified;
            }
            set {
                this.serviceCallIDFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Subject {
            get {
                return this.subjectField;
            }
            set {
                this.subjectField = value;
            }
        }
        
        /// <remarks/>
        public string CustomerCode {
            get {
                return this.customerCodeField;
            }
            set {
                this.customerCodeField = value;
            }
        }
        
        /// <remarks/>
        public string CustomerName {
            get {
                return this.customerNameField;
            }
            set {
                this.customerNameField = value;
            }
        }
        
        /// <remarks/>
        public long ContactCode {
            get {
                return this.contactCodeField;
            }
            set {
                this.contactCodeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ContactCodeSpecified {
            get {
                return this.contactCodeFieldSpecified;
            }
            set {
                this.contactCodeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string ManufacturerSerialNum {
            get {
                return this.manufacturerSerialNumField;
            }
            set {
                this.manufacturerSerialNumField = value;
            }
        }
        
        /// <remarks/>
        public string InternalSerialNum {
            get {
                return this.internalSerialNumField;
            }
            set {
                this.internalSerialNumField = value;
            }
        }
        
        /// <remarks/>
        public long ContractID {
            get {
                return this.contractIDField;
            }
            set {
                this.contractIDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ContractIDSpecified {
            get {
                return this.contractIDFieldSpecified;
            }
            set {
                this.contractIDFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime ContractEndDate {
            get {
                return this.contractEndDateField;
            }
            set {
                this.contractEndDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ContractEndDateSpecified {
            get {
                return this.contractEndDateFieldSpecified;
            }
            set {
                this.contractEndDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime ResolutionDate {
            get {
                return this.resolutionDateField;
            }
            set {
                this.resolutionDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ResolutionDateSpecified {
            get {
                return this.resolutionDateFieldSpecified;
            }
            set {
                this.resolutionDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="time")]
        public System.DateTime ResolutionTime {
            get {
                return this.resolutionTimeField;
            }
            set {
                this.resolutionTimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ResolutionTimeSpecified {
            get {
                return this.resolutionTimeFieldSpecified;
            }
            set {
                this.resolutionTimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long Origin {
            get {
                return this.originField;
            }
            set {
                this.originField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool OriginSpecified {
            get {
                return this.originFieldSpecified;
            }
            set {
                this.originFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string ItemCode {
            get {
                return this.itemCodeField;
            }
            set {
                this.itemCodeField = value;
            }
        }
        
        /// <remarks/>
        public string ItemDescription {
            get {
                return this.itemDescriptionField;
            }
            set {
                this.itemDescriptionField = value;
            }
        }
        
        /// <remarks/>
        public long ItemGroupCode {
            get {
                return this.itemGroupCodeField;
            }
            set {
                this.itemGroupCodeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ItemGroupCodeSpecified {
            get {
                return this.itemGroupCodeFieldSpecified;
            }
            set {
                this.itemGroupCodeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long Status {
            get {
                return this.statusField;
            }
            set {
                this.statusField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool StatusSpecified {
            get {
                return this.statusFieldSpecified;
            }
            set {
                this.statusFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public ServiceCallPriority Priority {
            get {
                return this.priorityField;
            }
            set {
                this.priorityField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool PrioritySpecified {
            get {
                return this.priorityFieldSpecified;
            }
            set {
                this.priorityFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long CallType {
            get {
                return this.callTypeField;
            }
            set {
                this.callTypeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool CallTypeSpecified {
            get {
                return this.callTypeFieldSpecified;
            }
            set {
                this.callTypeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long ProblemType {
            get {
                return this.problemTypeField;
            }
            set {
                this.problemTypeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ProblemTypeSpecified {
            get {
                return this.problemTypeFieldSpecified;
            }
            set {
                this.problemTypeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long AssigneeCode {
            get {
                return this.assigneeCodeField;
            }
            set {
                this.assigneeCodeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool AssigneeCodeSpecified {
            get {
                return this.assigneeCodeFieldSpecified;
            }
            set {
                this.assigneeCodeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Description {
            get {
                return this.descriptionField;
            }
            set {
                this.descriptionField = value;
            }
        }
        
        /// <remarks/>
        public long TechnicianCode {
            get {
                return this.technicianCodeField;
            }
            set {
                this.technicianCodeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool TechnicianCodeSpecified {
            get {
                return this.technicianCodeFieldSpecified;
            }
            set {
                this.technicianCodeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Resolution {
            get {
                return this.resolutionField;
            }
            set {
                this.resolutionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime CreationDate {
            get {
                return this.creationDateField;
            }
            set {
                this.creationDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool CreationDateSpecified {
            get {
                return this.creationDateFieldSpecified;
            }
            set {
                this.creationDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="time")]
        public System.DateTime CreationTime {
            get {
                return this.creationTimeField;
            }
            set {
                this.creationTimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool CreationTimeSpecified {
            get {
                return this.creationTimeFieldSpecified;
            }
            set {
                this.creationTimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long Responder {
            get {
                return this.responderField;
            }
            set {
                this.responderField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ResponderSpecified {
            get {
                return this.responderFieldSpecified;
            }
            set {
                this.responderFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="time")]
        public System.DateTime UpdatedTime {
            get {
                return this.updatedTimeField;
            }
            set {
                this.updatedTimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UpdatedTimeSpecified {
            get {
                return this.updatedTimeFieldSpecified;
            }
            set {
                this.updatedTimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public ServiceCallBelongsToAQueue BelongsToAQueue {
            get {
                return this.belongsToAQueueField;
            }
            set {
                this.belongsToAQueueField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool BelongsToAQueueSpecified {
            get {
                return this.belongsToAQueueFieldSpecified;
            }
            set {
                this.belongsToAQueueFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="time")]
        public System.DateTime ResponseByTime {
            get {
                return this.responseByTimeField;
            }
            set {
                this.responseByTimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ResponseByTimeSpecified {
            get {
                return this.responseByTimeFieldSpecified;
            }
            set {
                this.responseByTimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime ResponseByDate {
            get {
                return this.responseByDateField;
            }
            set {
                this.responseByDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ResponseByDateSpecified {
            get {
                return this.responseByDateFieldSpecified;
            }
            set {
                this.responseByDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime ResolutionOnDate {
            get {
                return this.resolutionOnDateField;
            }
            set {
                this.resolutionOnDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ResolutionOnDateSpecified {
            get {
                return this.resolutionOnDateFieldSpecified;
            }
            set {
                this.resolutionOnDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="time")]
        public System.DateTime ResponseOnTime {
            get {
                return this.responseOnTimeField;
            }
            set {
                this.responseOnTimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ResponseOnTimeSpecified {
            get {
                return this.responseOnTimeFieldSpecified;
            }
            set {
                this.responseOnTimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime ResponseOnDate {
            get {
                return this.responseOnDateField;
            }
            set {
                this.responseOnDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ResponseOnDateSpecified {
            get {
                return this.responseOnDateFieldSpecified;
            }
            set {
                this.responseOnDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="time")]
        public System.DateTime ClosingTime {
            get {
                return this.closingTimeField;
            }
            set {
                this.closingTimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ClosingTimeSpecified {
            get {
                return this.closingTimeFieldSpecified;
            }
            set {
                this.closingTimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime AssignedDate {
            get {
                return this.assignedDateField;
            }
            set {
                this.assignedDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool AssignedDateSpecified {
            get {
                return this.assignedDateFieldSpecified;
            }
            set {
                this.assignedDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Queue {
            get {
                return this.queueField;
            }
            set {
                this.queueField = value;
            }
        }
        
        /// <remarks/>
        public long ResponseAssignee {
            get {
                return this.responseAssigneeField;
            }
            set {
                this.responseAssigneeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ResponseAssigneeSpecified {
            get {
                return this.responseAssigneeFieldSpecified;
            }
            set {
                this.responseAssigneeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public ServiceCallEntitledforService EntitledforService {
            get {
                return this.entitledforServiceField;
            }
            set {
                this.entitledforServiceField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool EntitledforServiceSpecified {
            get {
                return this.entitledforServiceFieldSpecified;
            }
            set {
                this.entitledforServiceFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="time")]
        public System.DateTime ResolutionOnTime {
            get {
                return this.resolutionOnTimeField;
            }
            set {
                this.resolutionOnTimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ResolutionOnTimeSpecified {
            get {
                return this.resolutionOnTimeFieldSpecified;
            }
            set {
                this.resolutionOnTimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="time")]
        public System.DateTime AssignedTime {
            get {
                return this.assignedTimeField;
            }
            set {
                this.assignedTimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool AssignedTimeSpecified {
            get {
                return this.assignedTimeFieldSpecified;
            }
            set {
                this.assignedTimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime ClosingDate {
            get {
                return this.closingDateField;
            }
            set {
                this.closingDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ClosingDateSpecified {
            get {
                return this.closingDateFieldSpecified;
            }
            set {
                this.closingDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long Series {
            get {
                return this.seriesField;
            }
            set {
                this.seriesField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool SeriesSpecified {
            get {
                return this.seriesFieldSpecified;
            }
            set {
                this.seriesFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long DocNum {
            get {
                return this.docNumField;
            }
            set {
                this.docNumField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocNumSpecified {
            get {
                return this.docNumFieldSpecified;
            }
            set {
                this.docNumFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public ServiceCallHandWritten HandWritten {
            get {
                return this.handWrittenField;
            }
            set {
                this.handWrittenField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool HandWrittenSpecified {
            get {
                return this.handWrittenFieldSpecified;
            }
            set {
                this.handWrittenFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string PeriodIndicator {
            get {
                return this.periodIndicatorField;
            }
            set {
                this.periodIndicatorField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime StartDate
        {
            get
            {
                return this.startDateField;
            }
            set
            {
                this.startDateField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool StartDateSpecified
        {
            get
            {
                return this.startDateFieldSpecified;
            }
            set
            {
                this.startDateFieldSpecified = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "time")]
        public System.DateTime StartTime
        {
            get
            {
                return this.startTimeField;
            }
            set
            {
                this.startTimeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool StartTimeSpecified
        {
            get
            {
                return this.startTimeFieldSpecified;
            }
            set
            {
                this.startTimeFieldSpecified = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime EndDueDate
        {
            get
            {
                return this.endDueDateField;
            }
            set
            {
                this.endDueDateField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool EndDueDateSpecified
        {
            get
            {
                return this.endDueDateFieldSpecified;
            }
            set
            {
                this.endDueDateFieldSpecified = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "time")]
        public System.DateTime EndTime
        {
            get
            {
                return this.endTimeField;
            }
            set
            {
                this.endTimeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool EndTimeSpecified
        {
            get
            {
                return this.endTimeFieldSpecified;
            }
            set
            {
                this.endTimeFieldSpecified = value;
            }
        }

        ///// <remarks/>
        //public double Duration {
        //    get {
        //        return this.durationField;
        //    }
        //    set {
        //        this.durationField = value;
        //    }
        //}

        ///// <remarks/>
        //[System.Xml.Serialization.XmlIgnoreAttribute()]
        //public bool DurationSpecified {
        //    get {
        //        return this.durationFieldSpecified;
        //    }
        //    set {
        //        this.durationFieldSpecified = value;
        //    }
        //}

        ///// <remarks/>
        //public ServiceCallDurationType DurationType {
        //    get {
        //        return this.durationTypeField;
        //    }
        //    set {
        //        this.durationTypeField = value;
        //    }
        //}

        ///// <remarks/>
        //[System.Xml.Serialization.XmlIgnoreAttribute()]
        //public bool DurationTypeSpecified {
        //    get {
        //        return this.durationTypeFieldSpecified;
        //    }
        //    set {
        //        this.durationTypeFieldSpecified = value;
        //    }
        //}

        ///// <remarks/>
        //public ServiceCallReminder Reminder {
        //    get {
        //        return this.reminderField;
        //    }
        //    set {
        //        this.reminderField = value;
        //    }
        //}

        ///// <remarks/>
        //[System.Xml.Serialization.XmlIgnoreAttribute()]
        //public bool ReminderSpecified {
        //    get {
        //        return this.reminderFieldSpecified;
        //    }
        //    set {
        //        this.reminderFieldSpecified = value;
        //    }
        //}

        ///// <remarks/>
        //public double ReminderPeriod {
        //    get {
        //        return this.reminderPeriodField;
        //    }
        //    set {
        //        this.reminderPeriodField = value;
        //    }
        //}

        ///// <remarks/>
        //[System.Xml.Serialization.XmlIgnoreAttribute()]
        //public bool ReminderPeriodSpecified {
        //    get {
        //        return this.reminderPeriodFieldSpecified;
        //    }
        //    set {
        //        this.reminderPeriodFieldSpecified = value;
        //    }
        //}

        ///// <remarks/>
        //public ServiceCallReminderType ReminderType {
        //    get {
        //        return this.reminderTypeField;
        //    }
        //    set {
        //        this.reminderTypeField = value;
        //    }
        //}

        ///// <remarks/>
        //[System.Xml.Serialization.XmlIgnoreAttribute()]
        //public bool ReminderTypeSpecified {
        //    get {
        //        return this.reminderTypeFieldSpecified;
        //    }
        //    set {
        //        this.reminderTypeFieldSpecified = value;
        //    }
        //}

        ///// <remarks/>
        //public long Location {
        //    get {
        //        return this.locationField;
        //    }
        //    set {
        //        this.locationField = value;
        //    }
        //}

        ///// <remarks/>
        //[System.Xml.Serialization.XmlIgnoreAttribute()]
        //public bool LocationSpecified {
        //    get {
        //        return this.locationFieldSpecified;
        //    }
        //    set {
        //        this.locationFieldSpecified = value;
        //    }
        //}

        ///// <remarks/>
        //public string AddressName {
        //    get {
        //        return this.addressNameField;
        //    }
        //    set {
        //        this.addressNameField = value;
        //    }
        //}

        ///// <remarks/>
        //public ServiceCallAddressType AddressType {
        //    get {
        //        return this.addressTypeField;
        //    }
        //    set {
        //        this.addressTypeField = value;
        //    }
        //}

        ///// <remarks/>
        //[System.Xml.Serialization.XmlIgnoreAttribute()]
        //public bool AddressTypeSpecified {
        //    get {
        //        return this.addressTypeFieldSpecified;
        //    }
        //    set {
        //        this.addressTypeFieldSpecified = value;
        //    }
        //}

        ///// <remarks/>
        //public string Street {
        //    get {
        //        return this.streetField;
        //    }
        //    set {
        //        this.streetField = value;
        //    }
        //}

        ///// <remarks/>
        //public string City {
        //    get {
        //        return this.cityField;
        //    }
        //    set {
        //        this.cityField = value;
        //    }
        //}

        ///// <remarks/>
        //public string Room {
        //    get {
        //        return this.roomField;
        //    }
        //    set {
        //        this.roomField = value;
        //    }
        //}

        ///// <remarks/>
        //public string State {
        //    get {
        //        return this.stateField;
        //    }
        //    set {
        //        this.stateField = value;
        //    }
        //}

        ///// <remarks/>
        //public string Country {
        //    get {
        //        return this.countryField;
        //    }
        //    set {
        //        this.countryField = value;
        //    }
        //}

        ///// <remarks/>
        //public ServiceCallDisplayInCalendar DisplayInCalendar {
        //    get {
        //        return this.displayInCalendarField;
        //    }
        //    set {
        //        this.displayInCalendarField = value;
        //    }
        //}

        ///// <remarks/>
        //[System.Xml.Serialization.XmlIgnoreAttribute()]
        //public bool DisplayInCalendarSpecified {
        //    get {
        //        return this.displayInCalendarFieldSpecified;
        //    }
        //    set {
        //        this.displayInCalendarFieldSpecified = value;
        //    }
        //}

        /// <remarks/>
        public string CustomerRefNo
        {
            get
            {
                return this.customerRefNoField;
            }
            set
            {
                this.customerRefNoField = value;
            }
        }

        /// <remarks/>
        public long ProblemSubType
        {
            get
            {
                return this.problemSubTypeField;
            }
            set
            {
                this.problemSubTypeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ProblemSubTypeSpecified
        {
            get
            {
                return this.problemSubTypeFieldSpecified;
            }
            set
            {
                this.problemSubTypeFieldSpecified = value;
            }
        }

        /// <remarks/>
        public long AttachmentEntry
        {
            get
            {
                return this.attachmentEntryField;
            }
            set
            {
                this.attachmentEntryField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool AttachmentEntrySpecified
        {
            get
            {
                return this.attachmentEntryFieldSpecified;
            }
            set
            {
                this.attachmentEntryFieldSpecified = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ServiceCallActivity", IsNullable=false)]
        public ServiceCallServiceCallActivity[] ServiceCallActivities {
            get {
                return this.serviceCallActivitiesField;
            }
            set {
                this.serviceCallActivitiesField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ServiceCallInventoryExpense", IsNullable=false)]
        public ServiceCallServiceCallInventoryExpense[] ServiceCallInventoryExpenses {
            get {
                return this.serviceCallInventoryExpensesField;
            }
            set {
                this.serviceCallInventoryExpensesField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ServiceCallSolution", IsNullable=false)]
        public ServiceCallServiceCallSolution[] ServiceCallSolutions {
            get {
                return this.serviceCallSolutionsField;
            }
            set {
                this.serviceCallSolutionsField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum ServiceCallPriority {
        
        /// <remarks/>
        scp_Low,
        
        /// <remarks/>
        scp_Medium,
        
        /// <remarks/>
        scp_High,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum ServiceCallBelongsToAQueue {
        
        /// <remarks/>
        tNO,
        
        /// <remarks/>
        tYES,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum ServiceCallEntitledforService {
        
        /// <remarks/>
        tNO,
        
        /// <remarks/>
        tYES,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum ServiceCallHandWritten {
        
        /// <remarks/>
        tNO,
        
        /// <remarks/>
        tYES,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum ServiceCallDurationType {
        
        /// <remarks/>
        du_Minuts,
        
        /// <remarks/>
        du_Hours,
        
        /// <remarks/>
        du_Days,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum ServiceCallReminder {
        
        /// <remarks/>
        tNO,
        
        /// <remarks/>
        tYES,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum ServiceCallReminderType {
        
        /// <remarks/>
        du_Minuts,
        
        /// <remarks/>
        du_Hours,
        
        /// <remarks/>
        du_Days,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum ServiceCallAddressType {
        
        /// <remarks/>
        bo_ShipTo,
        
        /// <remarks/>
        bo_BillTo,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum ServiceCallDisplayInCalendar {
        
        /// <remarks/>
        tNO,
        
        /// <remarks/>
        tYES,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ServiceCallServiceCallActivity {
        
        private long lineNumField;
        
        private bool lineNumFieldSpecified;
        
        private long activityCodeField;
        
        private bool activityCodeFieldSpecified;
        
        /// <remarks/>
        public long LineNum {
            get {
                return this.lineNumField;
            }
            set {
                this.lineNumField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineNumSpecified {
            get {
                return this.lineNumFieldSpecified;
            }
            set {
                this.lineNumFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long ActivityCode {
            get {
                return this.activityCodeField;
            }
            set {
                this.activityCodeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ActivityCodeSpecified {
            get {
                return this.activityCodeFieldSpecified;
            }
            set {
                this.activityCodeFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ServiceCallServiceCallInventoryExpense {
        
        private long lineNumField;
        
        private bool lineNumFieldSpecified;
        
        private ServiceCallServiceCallInventoryExpensePartType partTypeField;
        
        private bool partTypeFieldSpecified;
        
        private ServiceCallServiceCallInventoryExpenseDocumentType documentTypeField;
        
        private bool documentTypeFieldSpecified;
        
        private System.DateTime documentPostingDateField;
        
        private bool documentPostingDateFieldSpecified;
        
        private long documentNumberField;
        
        private bool documentNumberFieldSpecified;
        
        private ServiceCallServiceCallInventoryExpenseStockTransferDirection stockTransferDirectionField;
        
        private bool stockTransferDirectionFieldSpecified;
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        /// <remarks/>
        public long LineNum {
            get {
                return this.lineNumField;
            }
            set {
                this.lineNumField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineNumSpecified {
            get {
                return this.lineNumFieldSpecified;
            }
            set {
                this.lineNumFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public ServiceCallServiceCallInventoryExpensePartType PartType {
            get {
                return this.partTypeField;
            }
            set {
                this.partTypeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool PartTypeSpecified {
            get {
                return this.partTypeFieldSpecified;
            }
            set {
                this.partTypeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public ServiceCallServiceCallInventoryExpenseDocumentType DocumentType {
            get {
                return this.documentTypeField;
            }
            set {
                this.documentTypeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocumentTypeSpecified {
            get {
                return this.documentTypeFieldSpecified;
            }
            set {
                this.documentTypeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime DocumentPostingDate {
            get {
                return this.documentPostingDateField;
            }
            set {
                this.documentPostingDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocumentPostingDateSpecified {
            get {
                return this.documentPostingDateFieldSpecified;
            }
            set {
                this.documentPostingDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long DocumentNumber {
            get {
                return this.documentNumberField;
            }
            set {
                this.documentNumberField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocumentNumberSpecified {
            get {
                return this.documentNumberFieldSpecified;
            }
            set {
                this.documentNumberFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public ServiceCallServiceCallInventoryExpenseStockTransferDirection StockTransferDirection {
            get {
                return this.stockTransferDirectionField;
            }
            set {
                this.stockTransferDirectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool StockTransferDirectionSpecified {
            get {
                return this.stockTransferDirectionFieldSpecified;
            }
            set {
                this.stockTransferDirectionFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum ServiceCallServiceCallInventoryExpensePartType {
        
        /// <remarks/>
        sep_Inventory,
        
        /// <remarks/>
        sep_NonInventory,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum ServiceCallServiceCallInventoryExpenseDocumentType {
        
        /// <remarks/>
        edt_Invoice,
        
        /// <remarks/>
        edt_Delivery,
        
        /// <remarks/>
        edt_Return,
        
        /// <remarks/>
        edt_StockTransfer,
        
        /// <remarks/>
        edt_CreditMemo,
        
        /// <remarks/>
        edt_Order,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum ServiceCallServiceCallInventoryExpenseStockTransferDirection {
        
        /// <remarks/>
        bos_TransferToTechnician,
        
        /// <remarks/>
        bos_TransferFromTechnician,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ServiceCallServiceCallSolution {
        
        private long lineNumField;
        
        private bool lineNumFieldSpecified;
        
        private long solutionIDField;
        
        private bool solutionIDFieldSpecified;
        
        /// <remarks/>
        public long LineNum {
            get {
                return this.lineNumField;
            }
            set {
                this.lineNumField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineNumSpecified {
            get {
                return this.lineNumFieldSpecified;
            }
            set {
                this.lineNumFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long SolutionID {
            get {
                return this.solutionIDField;
            }
            set {
                this.solutionIDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool SolutionIDSpecified {
            get {
                return this.solutionIDFieldSpecified;
            }
            set {
                this.solutionIDFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3056.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ServiceCallParams {
        
        private long serviceCallIDField;
        
        private bool serviceCallIDFieldSpecified;
        
        /// <remarks/>
        public long ServiceCallID {
            get {
                return this.serviceCallIDField;
            }
            set {
                this.serviceCallIDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ServiceCallIDSpecified {
            get {
                return this.serviceCallIDFieldSpecified;
            }
            set {
                this.serviceCallIDFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.3056.0")]
    public delegate void AddCompletedEventHandler(object sender, AddCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.3056.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class AddCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal AddCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ServiceCallParams Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ServiceCallParams)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.3056.0")]
    public delegate void UpdateCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.3056.0")]
    public delegate void RemoveCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.3056.0")]
    public delegate void GetByParamsCompletedEventHandler(object sender, GetByParamsCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.3056.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetByParamsCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetByParamsCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ServiceCall Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ServiceCall)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.3056.0")]
    public delegate void CloseCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
}

#pragma warning restore 1591